#pragma once
#include "Mod.h"

class Sprint : public Mod {
public:
	bool legit = true;
	bool omni = true;
	Sprint() : Mod(_("Sprint"), _("Makes you sprint"), Category::MOVEMENT) {
		settings.push_back(new Setting{ _("Legit"), &legit, 0, 0, 0, {}, true });
		settings.push_back(new Setting{ _("Omni"), &omni, 0, 0, 0, {}, true });
		enabled = true;
	}

private:
	virtual auto onWorldTick(Player* _this) -> void;
	virtual auto onClient() -> void;
};
